<?php
namespace bwdsplx_SmartPostList_namespace;

defined( 'ABSPATH' ) || die();

class Assets_Manager {

    public static function init() {
		add_action( 'wp_enqueue_scripts', [ __CLASS__, 'frontend_register' ], 0 );
	}
    
    public static function frontend_register() {

        wp_register_script( 'bwdsplx-SmartPostList-pro',bwdsplx_ASFSK_ASSETS_PUBLIC_DIR_FILE . '/js/main.js', [ 'jquery' ], Smart_Post_List_VERSION,true );
    
        // Localize scripts
        wp_localize_script('bwdsplx-SmartPostList-pro', 'BwdProLocalize', [
            'ajax_url' => admin_url('admin-ajax.php'),
            'nonce' => wp_create_nonce('bwd_smart_post_nonce'),
        ]);
    
    }

}



Assets_Manager::init();